package com.dev.swms.server.service.base;

import java.io.File;
import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.Store;
/**
 * 门店管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface StoreManager extends BaseManager{
	//添加门店信息
	@Transactional
	void saveStore(Store s);
			
	//删除门店
	@Transactional
	void deleteStore(List<Long> ids);
	
	//失效
	@Transactional
	void storeInvalid(List<Long> ids);
		
	//恢复
	@Transactional
	void storerestore(List<Long> ids);
	
	
	@Transactional
	void saveLines(Long sequenceNo,Long sid,Long lid);
	
	//门店信息导入
	@Transactional
	void imporStore(File file);
}
